<?php
ini_set('display_errors', 0);
error_reporting(E_ALL);
$data = json_decode(file_get_contents('php://input'), true);
if (isset($data['ip']) && filter_var($data['ip'], FILTER_VALIDATE_IP)) {
    $file = 'blocked.txt';
    file_put_contents($file, $data['ip'] . PHP_EOL, FILE_APPEND);

    echo json_encode(['status' => 'success', 'message' => 'IP bloquée avec succès']);
} else {
    echo json_encode(['status' => 'error', 'message' => 'IP invalide']);
}
?>
